#ifndef DS1307_H
#define	DS1307_H
//------------------------------------------------------------------------------
#include <string.h>
#include "MAX7219.h"
#include "I2C.h"
#include "Time_functions.h"
#include "DS1307_Protoypes.h"
//------------------------------------------------------------------------------
void RTC_init(void)
{
  I2C_init(100);   
}
//----------------secs,mins,hrs,wDay,mDay,months,years-------------------------
void RTC_getDateTime(unsigned char time[])
{
  for(int addr=0; addr < 7 ; ++addr)
  {
    I2C_start();

    while( I2C_busy() == 1 );          
    I2C_write(WRITE_CMD);                    
    I2C_write(addr);
    I2C_restart();
    I2C_write(READ_CMD);                     
    time[addr] = get_DecTime(I2C_read(NACK));

    I2C_stop();
  }
}
//------------------------------------------------------------------------------
void RTC_setDateTime(unsigned char regAddr, unsigned char data)
{
  I2C_start();

  while(I2C_busy() == 1);
  I2C_write(WRITE_CMD);
  I2C_write(regAddr);
  I2C_write(data);

  I2C_stop();
}
//------------------------------------------------------------------------------
void RTC_displayTime(unsigned char time[])
{
  MAX7219_displayNum(get_fullTimeStr(time));
}
//------------------------------------------------------------------------------
void RTC_displayDate(unsigned char time[])
{
  MAX7219_displayNum(get_fullDateStr(time));
}
//------------------------------------------------------------------------------
#endif